• Vítejte na XBMC-Kodi.cz
  • Česko-slovenská komunita fanoušků XBMC/Kodi
Vítejte návštevníku! Přihlášení Registrace


Hodnocení tématu:
  • 1 Hlas(ů) - 5 Průměr
  • 1
  • 2
  • 3
  • 4
  • 5
LibreELEC 10 Matrix - progress platforem
#1
Podle mateřského webu
https://libreelec.tv/
je vývoj LibreELEC 10 Matrix
pro platformy k 22.4.2021 v následujícím kroku:

Kodi 19.0 (od 20.5. Kodi 19.1)
Pro generické počítače (x86_64) - stabilní vydání /Beta 2 jako Release 1.
Pro Allwinner a Rockchip desky - stabilní vydání Beta 2.
Pro Raspberry Pi 4 - "stabilní Alfa", přestože kód je stále velmi nový (syrový).
Pro Raspberry Pi 2/3 - ...na tom ještě nikdo nepracuje, až pro vydání 10.2.
Pro Raspberry Pi 1/Zero - nebude vůbec vydáno.

Pro všechen ostatní hardware je LE stále ve vývoji a není ve stavu pro formální vydání.

** DO NOT UPGRADE! ** ** NEUPGRADUJTE **



20.5.2021: LibreELEC 10 MATRIX Kodi 19.1 - Beta 3
27.5.2021: LibreELEC 10 MATRIX Kodi 19.1 - Beta 4
27.6.2021: LibreELEC 10 MATRIX Kodi 19.1 - Beta 5

Pouze pro vývojáře a registrované testery uvádím adresy (9.95.5)
http://ftp.vim.org/mediaplayer/libreelec/
https://mirror.karneval.cz/pub/linux/libreelec/
https://www.xbmc-kodi.cz/prispevek-repoz...0#pid98810
 
Citovat
#2
Kvůli doplňku "MírPlay" vydanému už jen pro Kodi 19 MATRIX jsem do RPi4B 2GB připravil novou USB3 flešku (boot) s LibreELEC 9.95.2, tedy Beta 2 s Kodi 19.0.

Beta neumí směřovat na repozitář xbmc-kodi pro MATRIX (podstrkuje Leiu), je potřeba instalovat ručně (v.1.2.x).

Z doplňků mám problém pouze s NASA, který vyžaduje ještě doplněk Tubed a píše chybu Tubed QuotaExceeded. I přes tuto chybu lze spustit v menu Živé přenosy, Videa nelze.

Jinak instalované doplňky fungují: iVysílání, iPrima, Mazačka, MírPlay, Nova Plus, Přehraj.to, SCC, Televize Seznam, YouTube.
ČRo, Poslouchej Rádia, Radio (Tristan Fischer).
InputStream Helper, Keymap Editor, Kodi Logfile Uploader.

Konfigurace jsem dělal částečně znovu a kopírovaním uložených souborů z addon_data/...

Nevytvářím knihovny, seznamy stop.
Ve správci souborů připojuji síťové zdroje (SMB, repozitáře).
Instalace z repozitářů a ze ZIP.
Systémové informace umí zobrazit jak využití systémové paměti, tak využití procesoru. Při FullHD do 22% a do 25%.

Přehrávání na TV FullHD HDMI-CEC (Samsung).
Funkce LibreElec 9.95.2 je v Beta 2 na Raspberry 4 velmi dobrá.
 
Citovat
#3
@meda: Je bezpečné na Intel platformě risknout instalaci přes stávající verzi LibreElec 9.2.6 nebo se to musí kompletně vymazat? Já na rozdíl od tebe knihovnu používám, jinak co se týče doplňků, jsem na tom dost podobně.
 
Citovat
#4
@Radek_Kovacik U generic instalace LE bych se upgrade z 9.2.6 (tolik) nebál. Tedy pokud jde o dopad na knihovnu. Samozřejmě u addons to bude jiné, ale to je ti asi jasné. Podle mne je to varování na web-u LE hlavně kvůli addons v souvislosti s přechodem na Python 3 a pak ještě kvůli změnám v jádru, ale to se týká pouze Rpi instalací. To by se generických instalací (snad) týkat nemělo.

Já jsem tohle ještě nezkoušel i když se na to chystám taky už dlouho, stále totiž ještě nemám hotovou úpravu skinu na Matrix. Každopádně, pokud se do toho pustíš, tak bys měl udělat kompletní zálohu LE (to bys ale jistě udělal tak jako tak, ne? 4), případně i dalších adresářů, které záloha LE neřeší (záleží co všechno a kde máš na LE disku/-cích uložené) a připravil se pro sichr na downgrade na 9.2.6, po kterém bys pak zálohy vrátil. A kdyby snad něco úplně vybouchlo, tak ani čistá instalace LE 9.2.6 a po ní vrácení všech záloh není snad tak úplně problém.
 
Citovat
#5
(27.4.2021, 20:09)meda Napsal(a): ...
Pro generické počítače (x86_64) - stabilní vydání Beta 2.
...

Jen drobná polemická poznámka, já to v tom originálu "čtu" trochu jinak. Píše se tam:

In summary: this is a stable release for Generic (x86_64 PCs). Stable-Beta for Allwinner...

což já chápu tak, že generic instalace je vnímaná jako "relesead".

Ono je to, s ohledem na to, že až na výjimky jsou verze vydávány společně pro všechny platformy, že se při tom označení musí držet nějakého bezpečného "průměru" (v tomto případě spíše jakéhosi pomyslného "medianu") dílčích verzí, a vysvětlit to v doplňujícím textu a komentářích k danému vydání. Ono se to asi srovná, až do "released" přejdou verze pro všechny platformy.

Tím ale samozřejěm nikoho nenabádám k tomu, aby u generic platfromy hodil veškerou opatrnost za hlavu a bezhlavě upgradeoval. 1 Ale zase tolik bych se toho nebál.  1 1
 
Citovat
#6
@Radek_Kovacik: Já jsem měl instalaci LE pro x86 naposledy před 3 roky a to na flešce vetknuté do staršího HP ProBooku. (Na novém s EFI bootem už byl problém.)
Proto moc neporadím. Na knihovnu je expert @Rossi D: nebo @JiRo: (...i další 1 )- jde ti asi o to, abys knihovnu nedělal znovu. V tom neumím poradit.
Jsem spíš zastánce čisté instalace LE, stejně doplňky a závislosti se v mnoha případech musí obnovit pro verzi Matrix a Python 3.

@JiRo: Ono je to pod nadpisem vydání BETA 2, takže jak píšeš, tohle je pro x86_64 PCs stable release ale jestli final, nevím. Trochu jsem tedy text upravil podle sebe 3
 
Citovat
#7
Expert  1 1  Velice silné slovo ... Knihovnu mám defacto pevně danou a sama se mi obnoví po zadání patřičných cest na novém zařízení. Ta kouzelná formule se vyslovuje "Expecto patronum NAS" jen nevykouzlí patrona/zvíře ale HW  1 1 1
MagicSee N5 MAX S905X3 4/32 → CE 9.x \ RPi3B-RPi4 → L9.x \ HTPC → L9.x \ XOne S  18 \ X96 - S905X 2/16 → CE 9.x \ NAS Synology 212J → DSM 6.x \ Vero 4K+ → OSMC 18
 
Citovat
#8
Tak už vypustili další betaverzi, tentokrát č. 3. Jak budu mít čas, pustím se do instalace a pak dám vědět. Zatím díky všem za názor a rady.
 
Citovat
#9
@Radek_Kovacik: Díky za upozornění na Beta 3. Hned jsem stáhnul na počítači TAR pro RPi4 (LibreELEC-RPi4.arm-9.95.3.tar) a rozbalil soubory z adresáře TARGET do LE-Beta2 adresáře .update
Po restartu RPi4 dojde k update na 9.95.3 a automatickému dalšímu restartu. Nyní Kodi 19.1, doplňky v #2 vyzkoušené jako funkční.

(Já to mám ve dvou krocích, mám připojený SSD disk na jednom RPi, do kterého ukládám z počítače soubory pro Kodi a který mám přidaný jako zdroj v ostatních Kodi.)

Je potřeba mít v LE/Kodi povolené skryté adresáře a ručně ve Správci souborů Přidat zdroj s cestou /storage/
Pak se dostanete ze Správce souborů ke dvoum důležitým adresářům a sice .kodi a .update



Nainstaloval jsem do MATRIX doplněk MALL TV z odkazu https://github.com/koudi/plugin.video.ma...matrix.zip
Nezobrazuje ikonu. Je potřeba doplnit do addon.xml pod řádek <platform>all</platform>
nový řádek <assets><icon>icon.png</icon></assets>
Kodi 19/18.x -LibreELEC 9.x -BerryBoot -RPi4/3/0/w -LinuxMint/W10/Android 11/10. Router 1Gbit, 2.4+5GHz
 
Citovat
#10
Tak jsem provedl upgrade na LibreElec 10.0 beta 3 (na Intelu) a celkem to prošlo dobře. Jen jsem musel zkopírovat manuálně soubor s koncovkou IMG do adresáře .update, protože jednoduchá aktualizace z doplňku LibreElec z nějakého důvodu nešla provést - beta verze se mi tam ukázaly a když jsem to odkliknul, nestalo se nic a vrátilo se to do předchozí nabídky. Mimochodem, do této chvíle jsem nevěděl, že pomocí IMG souboru můžu takovým způsobem LibreElec aktualizovat - původně jsem měl za to, že tam musí být soubor TAR.
Následně bylo potřeba pomoci zdejšímu repozitáři, který nešel jednoduše aktualizovat (více info zde) a donastavit nějaké věci u skinu Aeon Nox Silvo, protože se po aktualizaci částečně resetovala některá nastavení.
 
Citovat
#11
LibreELEC 10.0 BETA 5 vydáno s Kodi (Matrix) v19.1 (+ další opravy) pro vývojáře a testery LibreELEC.
https://libreelec.tv/2021/06/libreelec-m...0-0-beta5/
Platí upozornění z LE 9.x.y neupgradovat!

Upgrade z LibreELEC 10.0 BETA 4 přináší popsané změny https://github.com/LibreELEC/LibreELEC.t...4...9.95.5
 
Citovat
#12
@meda Jen k tomu nedoporučovanému upgrade. Není to zas tak fatální a LE většinou upgrade přežije.

To doporučení čisté instalace má souvislost hlavně s tím, že si při upgrade zneplatníte většinu doplňků napsaných pro Python 2 only, což samozřejmě uživatele vyděsí a vzbudí to u nich dojem, že nová verze LE 10 (s Kodi Matrix) je "paskvil" (sic!). To není můj výmysl, to tu na fóru už někdo, a celkem nesmyslně a bez znalosti porblematiky, napsal.

Druhým důvodem, je snad to, že v případech RPi je v jádru těch změn plno a není 100% jistota, že se upgrade podaří, čemuž ale já moc nevěřím, ale protože to nemám ověřené, tak to raději nebudu propagovat. Co ale ověřené mám, je několik případů generické instalace (vesměs na Intel-u), kde jsme upgradoval bez jakýchkoliv problémů. Samozřejmě jsem pak musel upgradeovat některé addons ručně, ale celkový objem práce s nastavením, databázemi a knihovnou byl nesrovnatelně nižší.

Nicméně nikomu nebudu na sílu radit a pokud chcete na LE 10 přejít bez problémů, tak se držte doporučení a použijte čistou instalaci.
 
Citovat
#13
@JiRo: Však už jsem si to vyjasnili ve #2 a #9 - mně běhá LE 9.95.x s Kodi 10 Beta bez problémů na RPi4.

Škoda že už nevytvoří LE10 pro RPi ZERO. Díky tomu budu mít "internetové rádio" na RPi2 a 3.
Kodi 19/18.x -LibreELEC 9.x -BerryBoot -RPi4/3/0/w -LinuxMint/W10/Android 11/10. Router 1Gbit, 2.4+5GHz
 
Citovat
#14
je to mimo tému ale ak si RPi ZERO používal len ako audio prehrávač na net rádio načo tam dávať Kodi? Také Volumio alebo iné podobné OS sú na to vhodnejšie si myslím.
HK Odroid N2(CE), 2 x Amlogic S905X3(CE),
HP t630[256Gb M.2 SSD, 16Gb RAM, linux server](TVHeadend;MySQL;UniFi Controller;OTGW;InfluxDB;Grafana)
Telestar DIGIBIT Twin
WD MyDrive 5TB
 
Citovat
#15
@Norton: Hlavním důvodem používání LibreELEC na všem RPi je jednota "servisování", kdy jsem zastánce "netestovat ale konzumovat". Jako zdroje mám menší část vlastních souborů, spíše živé vysílání a archivy ČRo. Něco z Youtube.

Volumio jsem vyzkoušel kdysi na PC (asi ve virtuálu) ale nevyužíval. Ale mohl bych znovu vyzkoušet na uvolněném RPi ZERO, pokud to jednojádro nebude kulhat.
Kodi 19/18.x -LibreELEC 9.x -BerryBoot -RPi4/3/0/w -LinuxMint/W10/Android 11/10. Router 1Gbit, 2.4+5GHz
 
Citovat
#16
len doplním aby sme tu nekecali mimo. používam RPi Zero + JustBoom DAC Zero pHAT + Volumio a ide bez problémov (net rádiá, youtube, lokálne zdroje, spotify)
HK Odroid N2(CE), 2 x Amlogic S905X3(CE),
HP t630[256Gb M.2 SSD, 16Gb RAM, linux server](TVHeadend;MySQL;UniFi Controller;OTGW;InfluxDB;Grafana)
Telestar DIGIBIT Twin
WD MyDrive 5TB
 
Citovat
  


Přejít na fórum:


Prochází: 1 host(ů)